Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSConferenceConfiguration Class Reference

Class representing User Configuration information for a Conference. More...

`#import <CSConferenceConfiguration.h>`

Inherits NSObject.

## Properties
NSURL * | conferenceFactoryURL
| Adhoc conference URL. More...
NSURL * | conferencePortalURL
| The URL of the Conference Portal. More...
NSString * | moderatorCode
| Conference Moderator code, to allow Click to Join own bridge via Meetme Client. More...
NSString * | participantCode
| Conference Participant code, to allow user to share participant code to other users in Calendar invites and Share My Bridge. More...
NSURL * | moderatorURL
| Conference Moderator URL, to allow Click to Join own bridge via Meetme Client. More...
NSURL * | participantURL
| Conference Participant URL, to allow user to share participant URL to other users in Calendar invites and Share My Bridge. More...
NSString * | virtualRoomID
| The Scopia Virtual Room ID for the Virtual room owner. More...
BOOL | uccpEnabled
| A Boolean value indicating whether the UCCP conference protocol is enabled. More...
BOOL | uccpAdditionalFeaturesEnabled
| A Boolean value indicating whether the additional UCCP features is enabled. More...
BOOL | enhancedConferencingEnabled
| A Boolean value indicating whether the enhanced conferencing is enabled. More...
BOOL | localConferencingEnabled
| A Boolean value indicating whether the local conferencing is enabled. More...
NSTimeInterval | initialReconnectInterval
| The initial time interval between a connection failure and a reconnect attempt. More...
NSTimeInterval | maxReconnectInterval
| The maximum time interval between a connection failure and a reconnect attempt. More...

## Detailed Description

Class representing User Configuration information for a Conference.

## Property Documentation

- (NSURL*) conferenceFactoryURL
| read write nonatomic copy

Adhoc conference URL.

If both a conference URL is set and local conferencing is enabled, the conference factory will be used.

- (NSURL*) conferencePortalURL
| read write nonatomic copy

The URL of the Conference Portal.

This allows the client UI to launch the conference portal for extended of advanced conference interactions, such as settings.

- (BOOL) enhancedConferencingEnabled
| read write nonatomic assign

A Boolean value indicating whether the enhanced conferencing is enabled.

Also not all call capabilities would be available if it's disabled.

- (NSTimeInterval) initialReconnectInterval
| read write nonatomic assign

The initial time interval between a connection failure and a reconnect attempt.

If connection attempts continue to fail the reconnect interval will be progressively extended using a backoff algorithm based on this initial reconnect interval. The default is 2 seconds.

Set to zero to disable automatic reconnection attempts. Values < 0 or > 65535 are ignored.

- (BOOL) localConferencingEnabled
| read nonatomic assign

A Boolean value indicating whether the local conferencing is enabled.

In a local conference media mixing is performed locally on the endpoint rather than via a conferencing server. This option is typically enabled only in deployments without server based conferencing capabilities. If both a conferenceFactoryURL is set and local conferencing is enabled, the conference factory will be used. Defaults to false.

- (NSTimeInterval) maxReconnectInterval
| read write nonatomic assign

The maximum time interval between a connection failure and a reconnect attempt.

The default is 1800 seconds. Values < 0 or > 65535 are ignored.

- (NSString*) moderatorCode
| read write nonatomic copy

Conference Moderator code, to allow Click to Join own bridge via Meetme Client.

- (NSURL*) moderatorURL
| read write nonatomic copy

Conference Moderator URL, to allow Click to Join own bridge via Meetme Client.

- (NSString*) participantCode
| read write nonatomic copy

Conference Participant code, to allow user to share participant code to other users in Calendar invites and Share My Bridge.

- (NSURL*) participantURL
| read write nonatomic copy

Conference Participant URL, to allow user to share participant URL to other users in Calendar invites and Share My Bridge.

- (BOOL) uccpAdditionalFeaturesEnabled
| read write nonatomic assign

A Boolean value indicating whether the additional UCCP features is enabled.

- (BOOL) uccpEnabled
| read write nonatomic assign

A Boolean value indicating whether the UCCP conference protocol is enabled.

- (NSString*) virtualRoomID
| read write nonatomic copy

The Scopia Virtual Room ID for the Virtual room owner.

The documentation for this class was generated from the following file:

- CSConferenceConfiguration.h